Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454029 - Review Request: perl-Catalyst-Model-DBIC-Schema - DBIx::Class::Schema Model Class
Summary: Review Request: perl-Catalyst-Model-DBIC-Schema - DBIx::Class::Schema Model C...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Depends On: 455151 456362
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 21:58 UTC by Chris Weyl
Modified: 2010-09-02 21:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 05:25:30 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2008-07-03 21:58:06 UTC
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Model-DBIC-Schema-0.20-1.fc9.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Model-DBIC-Schema.spec

Description:
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

Comment 2 Marcela Mašláňová 2008-07-22 14:30:38 UTC
I guess this should be removed: BuildRequires:  /usr/bin/catalyst.pl

After build appears this strange message:
Cannot determine perl version info from lib/Catalyst/Model/DBIC/Schema.pm

There are many problem with dependencies:
Test::Kwalitee is missing
DBIx::Class::Schema::Loader ...missing. (would need 0.03012)
Shouldn't be perl-Catalyst-Devel also in requires?


Comment 3 Chris Weyl 2008-07-23 06:03:11 UTC
(In reply to comment #2)
> I guess this should be removed: BuildRequires:  /usr/bin/catalyst.pl

Though catalyst.pl has always been in the Catalyst-Runtime dist, until 5.7014-2
of perl-Catalyst-Runtime it actually lived in perl-Catalyst-Devel... At that
point it was pushed into a subpackage of perl-Catalyst-Runtime-scripts.

catalyst.pl is used at build-time in this package to test Catalyst::Model::DBIC
in a little test-app.

I decided on a file build dep rather than a package br, as 1) it hasn't always
been in perl-Catalyst-Runtime, and 2) perl pacakges usually leverage non-package
br/reqs, and 3) it may change again if upstream moves it.

> After build appears this strange message:
> Cannot determine perl version info from lib/Catalyst/Model/DBIC/Schema.pm

This is something Module::Install spits out.  AFAIK it's harmless and can be
ignored.
 
> There are many problem with dependencies:
> Test::Kwalitee is missing

Test::Kwalitee is an author test that does not require running, as it does not
test the package functionality.  It's also not currently packaged in Fedora, or
I'd throw it in there anyways :)

See https://fedoraproject.org/wiki/Packaging/Perl#When_to_.2Anot.2A_test

> DBIx::Class::Schema::Loader ...missing. (would need 0.03012)

This isn't used at runtime (or at build, for that matter), but by the helper
package Catalyst::Helper::Module::DBIC.  Initially I was leaving this out as
it's not required for runtime usage, but then I realized that dynamic schema
definitions would require it as well.  It's up now and set to block this review
as bug 456362.

> Shouldn't be perl-Catalyst-Devel also in requires?

perl-Catalyst-Devel is not required by any part of this package, at runtime.
When installed, this package provides Catalyst::Helper::Model::DBIC, which
catalyst.pl may use -- but in that case, the dependency is from catalyst.pl to
C::H::M::DBIC.

In any case, perl-Catalyst-Devel shouldn't be required as such -- the virtual
perl(FOO) provides are the preferred method.

See https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides


Comment 5 Marcela Mašláňová 2008-07-25 09:44:51 UTC
Ok, I'm satisfied with explanation and I didn't find any other problems.

I was able to rebuild it only in mock, because I'm blocked by bz#455151.

Comment 6 Chris Weyl 2008-07-29 01:47:29 UTC
Marking this bug as depending on bug 455151.  As soon as we get a push, we
should be good to go...

Comment 7 Chris Weyl 2008-08-08 19:26:39 UTC
Whew, looks like all that has been sorted out.

Koji scratch builds:

dist-f9:  http://koji.fedoraproject.org/koji/taskinfo?taskID=767296
dist-f10: http://koji.fedoraproject.org/koji/taskinfo?taskID=767297

Comment 8 Jason Tibbitts 2008-09-06 00:36:18 UTC
Just noticed this further back in the ticket list.  Looks clean enough, builds fine, and elicits no grumbling from rpmlint.  The summary is a little lame, but that comes from upstream and I can't suggest anything better.

0.22 was released late August; I don't see any significant differences so I'll go ahead and review 0.21 but I'll take a look at an updated package if you want.

* source files match upstream:
   0850dbd768eccac5f87e94942604cc239f017a438d9971761f18ad7b9dd2ec3b  
   Catalyst-Model-DBIC-Schema-0.20.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
o summary is OK (not great, but OK).
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Catalyst::Helper::Model::DBIC::Schema) = 0.20
   perl(Catalyst::Model::DBIC::Schema) = 0.20
   perl-Catalyst-Model-DBIC-Schema = 0.20-2.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Carp)
   perl(Catalyst::Runtime) >= 5.70
   perl(Class::Accessor::Fast) >= 0.22
   perl(Class::Data::Accessor) >= 0.02
   perl(DBIx::Class)
   perl(DBIx::Class::Schema::Loader) >= 0.03012
   perl(Data::Dumper)
   perl(NEXT)
   perl(UNIVERSAL::require)
   perl(base)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
  All tests successful.
   Files=5, Tests=10,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.84 cusr  0.11 
    csys =  0.98 CPU)
  (Test::Kwalitee doesn't seem to be in the distro so those tests are skipped.)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 9 Chris Weyl 2008-09-06 17:42:52 UTC
New Package CVS Request
=======================
Package Name: perl-DBIx-Class-Schema-Loader
Short Description: Dynamic definition of a DBIx::Class::Schema
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig

Comment 10 Chris Weyl 2008-09-06 17:43:35 UTC
I'll update to 0.22 before building.

Comment 11 Kevin Fenzi 2008-09-08 15:23:23 UTC
cvs done.

Comment 12 Chris Weyl 2008-09-08 19:13:08 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Model-DBIC-Schema
Short Description: perl-Catalyst-Model-DBIC-Schema - DBIx::Class::Schema Model Class
Owners: cweyl
Branches: F-8, F-9, devel
InitialCC: perl-sig

Comment 13 Kevin Fenzi 2008-09-10 02:14:31 UTC
cvs done.

Comment 14 Chris Weyl 2008-09-10 05:25:30 UTC
Imported and building.  Thanks for the review (and 2 cvs branches!) :)

Comment 15 Iain Arnell 2010-09-02 14:20:41 UTC
Package Change Request
======================
Package Name: perl-Catalyst-Model-DBIC-Schema
New Branches: el6
Owners: iarnell tremble

Comment 16 Kevin Fenzi 2010-09-02 21:21:19 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.